﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HeuristicLab.Algorithms.Bandits {
  // represents a model for the reward distribution (of an action given a state)
  public interface IModel : ICloneable {
    double SampleExpectedReward(Random random);
    void Update(double reward);
    void Reset();
    void PrintStats();
  }
}
